Needed applications:
Blender 2.59 (Modeling and Game Engine)
SVN (Version Control System)

To get them on Ubuntu 11.04:
sudo add-apt-repository ppa:cheleb/blender-svn
sudo apt-get update
sudo apt-get install blender subversion

To check out the current SVN repository:
svn co https://earth2100.svn.sourceforge.net/svnroot/earth2100 earth2100
cd earth2100